Subject: [netext] I-D Action: draft-ietf-netext-pmip6-qos-07.txt

From: [email-masked]
Date: Thu, 21 Nov 2013 18:37:52 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Network-Based Mobility Extensions Working Group of the IETF.

	Title           : Quality of Service Option for Proxy Mobile IPv6
	Author(s)       : Marco Liebsch
                          Pierrick Seite
                          Hidetoshi Yokota
                          Jouni Korhonen
                          Sri Gundavelli
	Filename        : draft-ietf-netext-pmip6-qos-07.txt
	Pages           : 59
	Date            : 2013-11-21

Abstract:
   This specification defines a new mobility option, the Quality of
   Service (QoS) option, for Proxy Mobile IPv6.  This option can be used
   by the local mobility anchor and the mobile access gateway for
   negotiating Quality of Service parameters for a mobile node's IP
   flows.  The negotiated QoS parameters can be used for QoS policing
   and marking of packets to enforce QoS differentiation on the path
   between the local mobility anchor and the mobile access gateway.
   Furthermore, making QoS parameters available on the mobile access
   gateway enables mapping of these parameters to QoS rules that are
   specific to the access technology and allows those rules to be
   enforced on the access network using access technology specific
   approaches.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-netext-pmip6-qos

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-netext-pmip6-qos-07

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-netext-pmip6-qos-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: <[email-masked]>
Date: Sat, 23 Nov 2013 19:25:39 +0000

Hi all,

I have reviewed the draft: draft-ietf-netext-pmip6-qos-07.
The draft is in good shape, but I think that some comments need to be worked out before moving it forward.

My comments are:

Comment_1:  Please motivate in Section 1, why this draft does not use an existing QoS signaling protocol, such as RSVP (RFC 2205) to carry
this QoS option.

Comment_2:  Section 4.2.7. (Aggregate Maximum Uplink Bit Rate), page 26, contains an error on the last bullet of this section:
Please change:

Per-Session-Agg-Max-UL-Bit-Rate:
INTO:
Aggregate-Max-UL-Bit-Rate

Comment_3:  In Sections: 4.2.1., 4.2.2, 4.2.3,  4.2.4, 4.2.6, 4.2.7, 4.2.8, 4.2.9, each of the fields used to carry the
following rates are using is a 32-bit unsigned integer format:

o) Per-MN-Agg-Max-DL-Bit-Rate,
o) Per-MN-Agg-Max-UL-Bit-Rate,
o) Per-Session-Agg-Max-DL-Bit-Rate,
o) Per-Session-Agg-Max-UL-Bit-Rate,
o) Aggregate-Max-DL-Bit-Rate,
o) Aggregate-Max-UL-Bit-Rate,
o) Guaranteed-DL-Bit-Rate,
o) Guaranteed-UL-Bit-Rate

It is not clear why a 32-bit unsigned integer is used.  Typically, for such rates a 32-bit IEEE floating point number is used,
see e.g.,: RFC 2210, for the representation of the peak data rate.

Comment_4: Error situations and error codes are not specified in this draft. It might be needed to do that!

Best regards,

Georgios

________________________________
Van: netext [[email-masked]] namens [email-masked] [[email-masked]]
Verzonden: vrijdag 22 november 2013 3:37
To: [email-masked]
Cc: [email-masked]
Onderwerp: [netext] I-D Action: draft-ietf-netext-pmip6-qos-07.txt

Abstract:

_______________________________________________
netext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netext